Package de.willuhn.jameica.hbci.gui.parts

# Class AbstractFromToList

java.lang.Object
de.willuhn.jameica.gui.parts.AbstractTablePart
de.willuhn.jameica.gui.parts.TablePart
de.willuhn.jameica.hbci.gui.parts.AbstractFromToList

All Implemented Interfaces:
  `de.willuhn.jameica.gui.Part`

Direct Known Subclasses:
  `AbstractSammelTransferList`, `AbstractSepaSammelTransferList`, `AbstractTransferList`, `ProtokollList`

public abstract class AbstractFromToList extends de.willuhn.jameica.gui.parts.TablePart implements de.willuhn.jameica.gui.Part
Abstrakte Tabelle mit Filter "von" und "bis".

## Nested Class Summary

## Nested classes/interfaces inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`de.willuhn.jameica.gui.parts.AbstractTablePart.AbstractTableItem`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final de.willuhn.util.I18N`
`i18n`
`protected org.eclipse.swt.widgets.Listener`
`listener`
`protected static final de.willuhn.jameica.system.Settings`
`settings`

### Fields inherited from class de.willuhn.jameica.gui.parts.TablePart

`tableFormatter`

### Fields inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`action, changeable, checkable, columns, menu, multi, rememberColWidth, rememberOrder, rememberState, selectionListeners`

## Constructor Summary

Constructors
Constructor
Description
`AbstractFromToList(de.willuhn.jameica.gui.Action action)`
ct.

## Method Summary

Modifier and Type
Method
Description
`protected BigDecimal`
`calculateSum(Object[] selected)`
Liefert die Summe der angegebenen Auftraege.
`de.willuhn.jameica.gui.parts.ButtonArea`
`getButtons()`
Liefert die Button-Area der Komponente.
`KontoInput`
`getKonto()`
Liefert ein Auswahlfeld fuer das Konto.
`protected de.willuhn.jameica.gui.util.Container`
`getLeft()`
Liefert den linken Container im Filter-Bereich.
`protected abstract de.willuhn.datasource.rmi.DBIterator`
`getList(Object konto, Date from, Date to, String text)`
Liefert die Liste der fuer diesen Zeitraum geltenden Daten.
`RangeInput`
`getRange()`
Liefert eine Auswahl mit Zeit-Presets.
`protected String`
`getSummary()`
Ueberschrieben, um die Summe zu berechnen.
`de.willuhn.jameica.gui.input.Input`
`getText()`
Liefert ein Eingabefeld fuer einen Suchbegriff.
`de.willuhn.jameica.gui.input.Input`
`getTo()`
Liefert das Eingabe-Datum fuer das End-Datum.
`protected boolean`
`hasChanged()`
Prueft, ob seit der letzten Aktion Eingaben geaendert wurden.
`void`
`paint(org.eclipse.swt.widgets.Composite parent)`
Ueberschrieben, um einen DisposeListener an das Composite zu haengen.

### Methods inherited from class de.willuhn.jameica.gui.parts.TablePart

`addChangeListener, addItem, addItem, addItem, addItem, createFeatureEventContext, getCollator, getControlValue, getEditorControl, getItems, getItems, getSelection, isEnabled, orderBy, orderBy, refreshSummary, removeAll, removeItem, restoreState, select, setChecked, setEnabled, setFormatter, setSummary, setTopIndex, size, sort, updateItem`

### Methods inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`addColumn, addColumn, addColumn, addColumn, addColumn, addFeature, addFeature, addSelectionListener, asList, featureEvent, getFeature, hasEvent, isMulti, removeFeature, select, setCheckable, setChecked, setContextMenu, setMulti, setRememberColWidths, setRememberOrder, setRememberState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### i18n

protected static final de.willuhn.util.I18N i18n

### settings

protected static final de.willuhn.jameica.system.Settings settings

### listener

protected org.eclipse.swt.widgets.Listener listener

## Constructor Details

### AbstractFromToList

public AbstractFromToList(de.willuhn.jameica.gui.Action action)
ct.

Parameters:
  `action` -

## Method Details

### getSummary

protected String getSummary()
Ueberschrieben, um die Summe zu berechnen.

Overrides:
  `getSummary` in class `de.willuhn.jameica.gui.parts.TablePart`
See Also:
  - `TablePart.getSummary()`

### calculateSum

protected BigDecimal calculateSum(Object[] selected) throws RemoteException
Liefert die Summe der angegebenen Auftraege.

Parameters:
  `selected` - die angegebenen Auftraege.
Returns:
  die Summe oder NULL, wenn nicht bekannt ist, wie die Summe berechnet werden kann.
Throws:
  `RemoteException`

### getText

public de.willuhn.jameica.gui.input.Input getText()
Liefert ein Eingabefeld fuer einen Suchbegriff.

Returns:
  Eingabefeld fuer einen Suchbegriff.

### getKonto

public KontoInput getKonto() throws RemoteException
Liefert ein Auswahlfeld fuer das Konto.

Returns:
  Auswahlfeld fuer das Konto.
Throws:
  `RemoteException`

### getTo

public de.willuhn.jameica.gui.input.Input getTo()
Liefert das Eingabe-Datum fuer das End-Datum.

Returns:
  Eingabe-Feld.

### getRange

public RangeInput getRange()
Liefert eine Auswahl mit Zeit-Presets.

Returns:
  eine Auswahl mit Zeit-Presets.

### paint

public void paint(org.eclipse.swt.widgets.Composite parent) throws RemoteException
Ueberschrieben, um einen DisposeListener an das Composite zu haengen.

Specified by:
  `paint` in interface `de.willuhn.jameica.gui.Part`
Overrides:
  `paint` in class `de.willuhn.jameica.gui.parts.TablePart`
Throws:
  `RemoteException`
See Also:
  - `TablePart.paint(org.eclipse.swt.widgets.Composite)`

### getLeft

protected de.willuhn.jameica.gui.util.Container getLeft()
Liefert den linken Container im Filter-Bereich.

Returns:
  der linke Container.

### getButtons

public de.willuhn.jameica.gui.parts.ButtonArea getButtons()
Liefert die Button-Area der Komponente.

Returns:
  die Buttons.

### getList

protected abstract de.willuhn.datasource.rmi.DBIterator getList(Object konto, Date from, Date to, String text) throws RemoteException
Liefert die Liste der fuer diesen Zeitraum geltenden Daten.

Parameters:
  `konto` - das Konto oder die Gruppe. Kann null sein.
  `from` - Start-Datum. Kann null sein.
  `to` - End-Datum. Kann null sein.
  `text` - Suchbegriff
Returns:
  Liste der Daten dieses Zeitraumes.
Throws:
  `RemoteException`

### hasChanged

protected boolean hasChanged()
Prueft, ob seit der letzten Aktion Eingaben geaendert wurden. Ist das nicht der Fall, muss die Tabelle nicht neu geladen werden.

Returns:
  true, wenn sich wirklich was geaendert hat.